Subject: bug#37071: guix import pypi httpie fails

From: Robert Vollmert <[email-masked]>
Date: Sun, 18 Aug 2019 13:49:10 +0200

> On 18. Aug 2019, at 13:28, Nicolas Goaziou <[email-masked]> wrote:
> Robert Vollmert <[email-masked]> writes:
> 
>> $ guix import pypi httpie
>> …0.2.tar.gz  83KiB                   291KiB/s 00:00 [##################] 100.0%
>> ….py3-none-any.whl  58KiB            201KiB/s 00:00 [##################] 100.0%
>> guix import: warning: Failed to extract file: httpie-1.0.2.dist-info/METADATA from wheel.
>> Backtrace:
> 
> [...]
> 
>> 
>> guix/build/download.scm:728:8: In procedure maybe-expand-mirrors:
>> In procedure struct_vtable: Wrong type argument in position
>> 1 (expecting struct): #f
> 
> FWIW, I cannot reproduce it. I get

Thanks for looking into this!

I’ll try making sure everything is up to date, and try again.